import React, { Component } from 'react';
import PropTypes from 'prop-types';
import Spinner from 'amos-3d/lib/ui/Spinner';

/**
 * 空页面
 *
 * @class EmptyPage
 * @extends {Component}
 */
class EmptyPage extends Component {
  constructor(props) {
    super(props);

  }

  onOpenButtonList =()=>{
    const { openStepCxt,batchNo } = this.props;
    batchNo && openStepCxt(batchNo);
  }

  render() {
    return (
      <div className='operate-button-display-root' style={{ color: 'white' }} onClick={this.onOpenButtonList} >
        <Spinner loading tip='' />
      </div>
    );
  }
}

EmptyPage.propTypes = {
  openStepCxt: PropTypes.func,
  batchNo: PropTypes.string
};

export default EmptyPage;
